summaryrefslogtreecommitdiffstats
path: root/debian/local/eclipse-ide.prerm.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/local/eclipse-ide.prerm.in')
-rwxr-xr-xdebian/local/eclipse-ide.prerm.in24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/local/eclipse-ide.prerm.in b/debian/local/eclipse-ide.prerm.in
new file mode 100755
index 0000000..bc68585
--- /dev/null
+++ b/debian/local/eclipse-ide.prerm.in
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove|upgrade|deconfigure)
+ update-alternatives --quiet --remove eclipse-ide-@FEATURE@ /usr/bin/eclipse-ide-@RELEASE@-@FEATURE@
+ update-alternatives --quiet --remove eclipse-ide-@RELEASE@ /usr/bin/eclipse-ide-@RELEASE@-@FEATURE@
+ update-alternatives --quiet --remove eclipse-ide /usr/bin/eclipse-ide-@RELEASE@-@FEATURE@
+ ;;
+
+ failed-upgrade)
+
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0